Package com.scriptel.proscript.cardswipe

## Class FinancialCardTrackTwo

- java.lang.Object
- - com.scriptel.proscript.cardswipe.FinancialCardTrackTwo

-     public class FinancialCardTrackTwo
      extends java.lang.Object

  This class represents the second track of a financial card.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FinancialCardTrackTwo()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAccountNumber()` | Gets the account number of the card in track two.
    `java.lang.String` | `getDiscretionaryData()` | Gets the discretionary data on the second track of the card.
    `java.util.Date` | `getExpiration()` | Gets the expiration date of the card.
    `java.lang.String` | `getServiceCode()` | Gets the service code on the card.
    `static FinancialCardTrackTwo` | `parse​(java.lang.String trackData)` | This method attempts to parse track two out the raw track string.
    `java.lang.String` | `toString()` | Returns this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FinancialCardTrackTwo

          public FinancialCardTrackTwo()

  - ### Method Detail

    - #### parse

          public static FinancialCardTrackTwo parse​(java.lang.String trackData)

      This method attempts to parse track two out the raw track string.
      Parameters:
        `trackData` - Track data to parse.
      Returns:
        FinancialCardTrackTwo data if data found, null otherwise.

    - #### toString

          public java.lang.String toString()

      Returns this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String containing human readable string.

    - #### getAccountNumber

          public java.lang.String getAccountNumber()

      Gets the account number of the card in track two.
      Returns:
        Account number

    - #### getExpiration

          public java.util.Date getExpiration()

      Gets the expiration date of the card.
      Returns:
        the expiration

    - #### getServiceCode

          public java.lang.String getServiceCode()

      Gets the service code on the card.
      Returns:
        the serviceCode

    - #### getDiscretionaryData

          public java.lang.String getDiscretionaryData()

      Gets the discretionary data on the second track of the card.
      Returns:
        the discretionary data